## shadow 4.15.2

=== tests/tests/unit/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# tests/unit/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/shadow
pkgincludedir = $(includedir)/shadow
pkglibdir = $(libdir)/shadow
pkglibexecdir = $(libexecdir)/shadow
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
check_PROGRAMS = test_adds$(EXEEXT) \
	test_atoi_strtoi$(EXEEXT) \
	test_chkname$(EXEEXT) test_sprintf$(EXEEXT) \
	test_strncpy$(EXEEXT) test_strtcpy$(EXEEXT) \
	test_xasprintf$(EXEEXT) \
	test_zustr2stp$(EXEEXT) $(am__EXEEXT_1)
am__append_1 = \
    test_logind

subdir = tests/unit
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 =  \
	test_logind$(EXEEXT)
am__test_adds_SOURCES_DIST = ../../lib/adds.c test_adds.c
am__dirstamp = $(am__leading_dot)dirstamp
am_test_adds_OBJECTS =  \
	../../lib/test_adds-adds.$(OBJEXT) \
	test_adds-test_adds.$(OBJEXT)
test_adds_OBJECTS = $(am_test_adds_OBJECTS)
am__DEPENDENCIES_1 =
test_adds_DEPENDENCIES = $(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
test_adds_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_adds_CFLAGS) \
	$(CFLAGS) $(test_adds_LDFLAGS) $(LDFLAGS) -o $@
am__test_atoi_strtoi_SOURCES_DIST = ../../lib/atoi/strtoi.c \
	test_atoi_strtoi.c
am_test_atoi_strtoi_OBJECTS = ../../lib/atoi/test_atoi_strtoi-strtoi.$(OBJEXT) \
	test_atoi_strtoi-test_atoi_strtoi.$(OBJEXT)
test_atoi_strtoi_OBJECTS = $(am_test_atoi_strtoi_OBJECTS)
test_atoi_strtoi_DEPENDENCIES =  \
	$(am__DEPENDENCIES_1)
test_atoi_strtoi_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_atoi_strtoi_CFLAGS) $(CFLAGS) \
	$(test_atoi_strtoi_LDFLAGS) $(LDFLAGS) -o $@
am__test_chkname_SOURCES_DIST = ../../lib/chkname.c test_chkname.c
am_test_chkname_OBJECTS =  \
	../../lib/test_chkname-chkname.$(OBJEXT) \
	test_chkname-test_chkname.$(OBJEXT)
test_chkname_OBJECTS = $(am_test_chkname_OBJECTS)
test_chkname_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_chkname_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_chkname_CFLAGS) \
	$(CFLAGS) $(test_chkname_LDFLAGS) $(LDFLAGS) -o $@
am__test_logind_SOURCES_DIST = ../../lib/logind.c test_logind.c
am_test_logind_OBJECTS =  \
	../../lib/test_logind-logind.$(OBJEXT) \
	test_logind-test_logind.$(OBJEXT)
test_logind_OBJECTS = $(am_test_logind_OBJECTS)
test_logind_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
test_logind_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_logind_CFLAGS) \
	$(CFLAGS) $(test_logind_LDFLAGS) $(LDFLAGS) -o $@
am__test_sprintf_SOURCES_DIST = ../../lib/string/sprintf.c \
	test_sprintf.c
am_test_sprintf_OBJECTS = ../../lib/string/test_sprintf-sprintf.$(OBJEXT) \
	test_sprintf-test_sprintf.$(OBJEXT)
test_sprintf_OBJECTS = $(am_test_sprintf_OBJECTS)
test_sprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_sprintf_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_sprintf_CFLAGS) \
	$(CFLAGS) $(test_sprintf_LDFLAGS) $(LDFLAGS) -o $@
am__test_strncpy_SOURCES_DIST = test_strncpy.c
am_test_strncpy_OBJECTS =  \
	test_strncpy-test_strncpy.$(OBJEXT)
test_strncpy_OBJECTS = $(am_test_strncpy_OBJECTS)
test_strncpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_strncpy_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_strncpy_CFLAGS) \
	$(CFLAGS) $(test_strncpy_LDFLAGS) $(LDFLAGS) -o $@
am__test_strtcpy_SOURCES_DIST = ../../lib/string/strtcpy.c \
	test_strtcpy.c
am_test_strtcpy_OBJECTS = ../../lib/string/test_strtcpy-strtcpy.$(OBJEXT) \
	test_strtcpy-test_strtcpy.$(OBJEXT)
test_strtcpy_OBJECTS = $(am_test_strtcpy_OBJECTS)
test_strtcpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_strtcpy_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_strtcpy_CFLAGS) \
	$(CFLAGS) $(test_strtcpy_LDFLAGS) $(LDFLAGS) -o $@
am__test_xasprintf_SOURCES_DIST = ../../lib/string/sprintf.c \
	test_xasprintf.c
am_test_xasprintf_OBJECTS = ../../lib/string/test_xasprintf-sprintf.$(OBJEXT) \
	test_xasprintf-test_xasprintf.$(OBJEXT)
test_xasprintf_OBJECTS = $(am_test_xasprintf_OBJECTS)
test_xasprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_xasprintf_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_xasprintf_CFLAGS) $(CFLAGS) $(test_xasprintf_LDFLAGS) \
	$(LDFLAGS) -o $@
am__test_zustr2stp_SOURCES_DIST = test_zustr2stp.c
am_test_zustr2stp_OBJECTS =  \
	test_zustr2stp-test_zustr2stp.$(OBJEXT)
test_zustr2stp_OBJECTS = $(am_test_zustr2stp_OBJECTS)
test_zustr2stp_DEPENDENCIES = $(am__DEPENDENCIES_1)
test_zustr2stp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
	$(test_zustr2stp_CFLAGS) $(CFLAGS) $(test_zustr2stp_LDFLAGS) \
	$(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ../../lib/$(DEPDIR)/test_adds-adds.Po \
	../../lib/$(DEPDIR)/test_chkname-chkname.Po \
	../../lib/$(DEPDIR)/test_logind-logind.Po \
	../../lib/atoi/$(DEPDIR)/test_atoi_strtoi-strtoi.Po \
	../../lib/string/$(DEPDIR)/test_sprintf-sprintf.Po \
	../../lib/string/$(DEPDIR)/test_strtcpy-strtcpy.Po \
	../../lib/string/$(DEPDIR)/test_xasprintf-sprintf.Po \
	./$(DEPDIR)/test_adds-test_adds.Po \
	./$(DEPDIR)/test_atoi_strtoi-test_atoi_strtoi.Po \
	./$(DEPDIR)/test_chkname-test_chkname.Po \
	./$(DEPDIR)/test_logind-test_logind.Po \
	./$(DEPDIR)/test_sprintf-test_sprintf.Po \
	./$(DEPDIR)/test_strncpy-test_strncpy.Po \
	./$(DEPDIR)/test_strtcpy-test_strtcpy.Po \
	./$(DEPDIR)/test_xasprintf-test_xasprintf.Po \
	./$(DEPDIR)/test_zustr2stp-test_zustr2stp.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(test_adds_SOURCES) $(test_atoi_strtoi_SOURCES) \
	$(test_chkname_SOURCES) $(test_logind_SOURCES) \
	$(test_sprintf_SOURCES) $(test_strncpy_SOURCES) \
	$(test_strtcpy_SOURCES) $(test_xasprintf_SOURCES) \
	$(test_zustr2stp_SOURCES)
DIST_SOURCES = $(am__test_adds_SOURCES_DIST) \
	$(am__test_atoi_strtoi_SOURCES_DIST) \
	$(am__test_chkname_SOURCES_DIST) \
	$(am__test_logind_SOURCES_DIST) \
	$(am__test_sprintf_SOURCES_DIST) \
	$(am__test_strncpy_SOURCES_DIST) \
	$(am__test_strtcpy_SOURCES_DIST) \
	$(am__test_xasprintf_SOURCES_DIST) \
	$(am__test_zustr2stp_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
