=== debian/changelog ===
shadow (1:4.15.2-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 27 Jun 2024 18:56:48 +0300

shadow (1:4.15.2-3) unstable; urgency=medium

  * d/watch: add versionmangle for -rc
  * Revert "Use upstream's restrictions on user- and group names again".
    Breaks adduser's tests, see #1074306.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 26 Jun 2024 12:40:34 +0200

shadow (1:4.15.2-2) unstable; urgency=medium

  * useradd(8): Fix missing paragraph on username length
  * d/rules: explicitly set --with-audit and --enable-subordinate-ids
  * Remove faillog support.
    Stop installing faillog binary and man pages. Stop creating
    /var/log/faillog in login.postinst.
    PAM has removed support for /var/log/faillog by dropping pam_tally, and
    login itself cannot write to it either.
  * Use upstream's restrictions on user- and group names again.
    Upstream started supporting mixed-case names some time ago.
    Purely numeric names (#79682) are now forbidden again, as there is no
    way of distinguishing them from user/group IDs otherwise.
  * Drop useradd's backwards-compatibility -O flag
  * Remove our copy of HOME_MODE.xml, identical upstream
  * shadowconfig.8: actually install again
  * passwd: add Depends: login.
    Stop-gap until passwd can takeover /etc/login.defs from login.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 25 Jun 2024 19:42:24 +0200

shadow (1:4.15.2-1) unstable; urgency=medium

  * New upstream version 4.15.2
    Includes fix for csrand_uniform().

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 22 Jun 2024 17:37:34 +0200

shadow (1:4.15.1-1) unstable; urgency=medium

  * New upstream version 4.15.1
    Closes: #832047, #812127, #1034312, #856902, #791806
    Closes: #1006216, #1006225, #1006208
    * contrib/atudel, non-DFSG-compliant was removed upstream
    * Remove obsolete configure flag --without-libcrack
    * Use functions from libbsd (Closes: #1032393)
    * Build-Depend: libltdl-dev for LT_LIB_DLLOAD
      (Closes: #1065350)
    * Build-Depend: pkgconf
    * Drop upstream applied patches
    * Disable FTMP_FILE by default, drop login failure logging
    * Rebase patch 401_cppw_src.dpatch
    * Rename patch 402_cppw_selinux
    * Use upstream FAILLOG_ENAB code, incompatible with PAM
      (Closes: #776314)
    * Rebase patch 463_login_delay_obeys_to_PAM
    * Rebase patch 501_commonio_group_shadow
    * Rebase patch 502_debian_useradd_defaults
    * Rebase patch 506_relaxed_usernames
    * Rebase patch 542_useradd-O_option
  * Update upstream signing keys
  * Tag build with dh-package-notes
  * Turn off --enable-lastlog, drop lastlog from not-installed
  * Explicitly enable logind on linux-any
  * Update default ENCRYPT_METHOD (Closes: #1043236)
  * login: switch from Essential to Protected: yes (Closes: #960638)
    Moves Pre-Depends to Depends.
  * Enable acl, xattr support (Closes: #745796)
  * login.defs: remove PAM-unsupported crypt settings (Closes: #1055582)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 22 Jun 2024 16:08:41 +0200

shadow (1:4.13+dfsg1-5) unstable; urgency=medium

  * Add myself to Uploaders, per discussion with Serge Hallyn
  * Apply wrap-and-sort -kas style
  * Use debputy to avoid Rules-Requires-Root: binary-targets
  * libsubid4: tighten package-internal dependencies

  [ Serge Hallyn ]
  * Drop pam_lastlog.so from config. (Closes: #1068229)
  * Stop installing lastlog binary.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 02 Jun 2024 20:01:51 +0200
