=== debian/control ===
Source: shadow
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Uploaders:
 Serge Hallyn <serge@hallyn.com>,
 Chris Hofstaedtler <zeha@debian.org>
Section: admin
Priority: required
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 gettext,
 itstool <!nodoc>,
 libacl1-dev,
 libattr1-dev,
 libaudit-dev [linux-any],
 libbsd-dev,
 libcrypt-dev,
 libltdl-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsemanage-dev [linux-any],
 libxml2-utils <!nodoc>,
 pkgconf,
 quilt,
 xsltproc <!nodoc>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
Vcs-Browser: https://salsa.debian.org/debian/shadow
Homepage: https://github.com/shadow-maint/shadow
Rules-Requires-Root: no

Package: passwd
Architecture: any
Multi-Arch: foreign
Depends:
 libpam-modules
Recommends:
 sensible-utils
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Multi-Arch: foreign
Essential: yes
Depends:
 libpam-modules,
 libpam-runtime
Breaks:
 hurd (<< 20140206~) [hurd-any]
Conflicts:
 python-4suite (<< 0.99cvs20060405-1)
Replaces:
 hurd (<< 20140206~) [hurd-any]
Description: system login tools
 This package provides support for console-based logins and for
 changing effective user or group IDs, including:
  * login, the program that invokes a user shell on a virtual terminal;
  * nologin, a dummy shell for disabled user accounts;

Package: uidmap
Architecture: any
Multi-Arch: foreign
Priority: optional
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.

Package: libsubid4
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.

Package: libsubid-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 libsubid4 (= ${binary:Version})
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.
 .
 This package contains the C header files that are
 needed for applications to use the libsubid4 library.
