=== debian/changelog ===
shadow (1:4.15.3-3ubuntu2) oracular; urgency=medium

  * d/p : disallow pure numeric user and group names (LP: #2076898)

 -- Hector Cao <hector.cao@canonical.com>  Tue, 13 Aug 2024 12:15:06 +0200

shadow (1:4.15.3-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2073338):
    - d/p/* : Enable private home directories by default
    - debian/{source_shadow.py,login.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
      This patch has been refreshed to remove "implicit function declaration"
      warning
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
      This patch has been refreshed to remove "implicit function declaration"
      warning
    - d/p/1015_add_zsys_support.patch: zsys to handle home dir if available
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
      + disallow purely numeric usernames
        The patch has been integrated in debian but we still have to
        keep the tests
    - d/t/smoke: Extend for extrausers support
    - Add some cursory tests for the extrausers features
    - d/p/lp2063200: fix useradd group validation with extrausers (LP 2063200)

    Dropped changes:
    - debian/login.defs: Update documentation of USERGROUPS_ENAB/UMASK
      Reason: Integrated upstream
    - Fix ftbfs with -Werror=implicit-function-declaration
      Reason: Integrated upstream

 -- Hector Cao <hector.cao@canonical.com>  Mon, 29 Jul 2024 11:30:50 +0200

shadow (1:4.15.3-3) unstable; urgency=medium

  * Forbid backslashes in user/group-names.
    They can still be used with --force-badname, but it's a start. In the
    long run I want to remove our relax patch, and upstream should fix the
    line continuation too. For #1076619.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2024 21:05:32 +0200

shadow (1:4.15.3-2) unstable; urgency=medium

  [ Pino Toscano ]
  * d/rules: actually enable Linux-only options on Linux
    This enables --enable-logind and --with-audit.

  [ Chris Hofstaedtler ]
  * Stop installing groupmems(8) (Closes: #1004472, LP: #2039541)
  * login.defs: remove obsolete/confusing comments
  * login.defs: resync comments with upstream
  * login.defs: remove incomplete list of unused vars
  * login.defs: remove obscure, defaulted vars
  * login.defs: remove vars ignored by su(1)
  * login.defs: remove CONSOLE_GROUPS, ignored with PAM
  * login.defs: remove CONSOLE, ignored with PAM

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Jul 2024 15:30:38 +0200

shadow (1:4.15.3-1) unstable; urgency=medium

  * New upstream version 4.15.3
  * tests: follow upstream subdir fix
  * Fix setup of test libsubid-04_nss
  * Drop login.postinst, obsoleted by #1074121
  * Bump Standards-Version to 4.7.0

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Jul 2024 23:50:36 +0200

shadow (1:4.13+dfsg1-4ubuntu5) oracular; urgency=medium

  * d/p/lp2063200/*: amend the patch to fix `useradd -D` breakage
    (LP: #2063200)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 27 May 2024 18:56:51 +0200

shadow (1:4.13+dfsg1-4ubuntu4) oracular; urgency=medium

  * Add some cursory tests for the extrausers features
  * d/p/lp2063200: fix useradd group validation with extrausers (LP: 2063200)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 07 May 2024 18:49:58 +0200
