=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: shadow
-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
  Chris Hofstaedtler <zeha@debian.org>
@@ -23,11 +24,13 @@
  libpam0g-dev,
  libselinux1-dev [linux-any],
  libsemanage-dev [linux-any],
+ libsystemd-dev [linux-any],
  libxml2-utils <!nodoc>,
  pkgconf,
  quilt,
+ systemd-dev [linux-any],
  xsltproc <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
 Vcs-Browser: https://salsa.debian.org/debian/shadow
 Homepage: https://github.com/shadow-maint/shadow
@@ -37,7 +40,9 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- libpam-modules
+ base-passwd (>= 3.6.4),
+ libpam-modules,
+ login
 Recommends:
  sensible-utils
 Description: change and administer password and group data
@@ -49,7 +54,7 @@
 Package: login
 Architecture: any
 Multi-Arch: foreign
-Essential: yes
+Protected: yes
 Depends:
  libpam-modules,
  libpam-runtime
