=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,9 @@
 	--without-tcb \
 
 
-ifneq ($(DEB_HOST_ARCH_OS),linux)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-logind
+DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
 endif
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
@@ -63,9 +64,6 @@
 	dh_installpam -p passwd --name=chpasswd
 	dh_installpam -p passwd --name=newusers
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_auto_clean:
 	sed -i 's/# Linux only # //' debian/login.pam
 	dh_auto_clean
