## shadow 4.16.0

=== tests/tests/unit/Makefile ===
--- 
+++ 
@@ -87,14 +87,14 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-pc-linux-gnu
 host_triplet = x86_64-pc-linux-gnu
-check_PROGRAMS = test_adds$(EXEEXT) \
-	test_atoi_strtoi$(EXEEXT) \
-	test_chkname$(EXEEXT) test_sprintf$(EXEEXT) \
-	test_strncpy$(EXEEXT) test_strtcpy$(EXEEXT) \
-	test_xasprintf$(EXEEXT) \
-	test_zustr2stp$(EXEEXT) $(am__EXEEXT_1)
-am__append_1 = \
-    test_logind
+#check_PROGRAMS = test_adds$(EXEEXT) \
+#	test_atoi_strtoi$(EXEEXT) \
+#	test_chkname$(EXEEXT) test_sprintf$(EXEEXT) \
+#	test_strncpy$(EXEEXT) test_strtcpy$(EXEEXT) \
+#	test_xasprintf$(EXEEXT) \
+#	test_zustr2stp$(EXEEXT) $(am__EXEEXT_1)
+#am__append_1 = \
+#    test_logind
 
 subdir = tests/unit
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -114,16 +114,16 @@
 CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
-am__EXEEXT_1 =  \
-	test_logind$(EXEEXT)
+#am__EXEEXT_1 =  \
+#	test_logind$(EXEEXT)
 am__test_adds_SOURCES_DIST = ../../lib/adds.c test_adds.c
 am__dirstamp = $(am__leading_dot)dirstamp
-am_test_adds_OBJECTS =  \
-	../../lib/test_adds-adds.$(OBJEXT) \
-	test_adds-test_adds.$(OBJEXT)
+#am_test_adds_OBJECTS =  \
+#	../../lib/test_adds-adds.$(OBJEXT) \
+#	test_adds-test_adds.$(OBJEXT)
 test_adds_OBJECTS = $(am_test_adds_OBJECTS)
 am__DEPENDENCIES_1 =
-test_adds_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_adds_DEPENDENCIES = $(am__DEPENDENCIES_1)
 AM_V_lt = $(am__v_lt_$(V))
 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
 am__v_lt_0 = --silent
@@ -133,75 +133,75 @@
 	$(CFLAGS) $(test_adds_LDFLAGS) $(LDFLAGS) -o $@
 am__test_atoi_strtoi_SOURCES_DIST = ../../lib/atoi/strtoi.c \
 	test_atoi_strtoi.c
-am_test_atoi_strtoi_OBJECTS = ../../lib/atoi/test_atoi_strtoi-strtoi.$(OBJEXT) \
-	test_atoi_strtoi-test_atoi_strtoi.$(OBJEXT)
+#am_test_atoi_strtoi_OBJECTS = ../../lib/atoi/test_atoi_strtoi-strtoi.$(OBJEXT) \
+#	test_atoi_strtoi-test_atoi_strtoi.$(OBJEXT)
 test_atoi_strtoi_OBJECTS = $(am_test_atoi_strtoi_OBJECTS)
-test_atoi_strtoi_DEPENDENCIES =  \
-	$(am__DEPENDENCIES_1)
+#test_atoi_strtoi_DEPENDENCIES =  \
+#	$(am__DEPENDENCIES_1)
 test_atoi_strtoi_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
 	$(test_atoi_strtoi_CFLAGS) $(CFLAGS) \
 	$(test_atoi_strtoi_LDFLAGS) $(LDFLAGS) -o $@
 am__test_chkname_SOURCES_DIST = ../../lib/chkname.c test_chkname.c
-am_test_chkname_OBJECTS =  \
-	../../lib/test_chkname-chkname.$(OBJEXT) \
-	test_chkname-test_chkname.$(OBJEXT)
+#am_test_chkname_OBJECTS =  \
+#	../../lib/test_chkname-chkname.$(OBJEXT) \
+#	test_chkname-test_chkname.$(OBJEXT)
 test_chkname_OBJECTS = $(am_test_chkname_OBJECTS)
-test_chkname_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_chkname_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_chkname_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_chkname_CFLAGS) \
 	$(CFLAGS) $(test_chkname_LDFLAGS) $(LDFLAGS) -o $@
 am__test_logind_SOURCES_DIST = ../../lib/logind.c test_logind.c
-am_test_logind_OBJECTS =  \
-	../../lib/test_logind-logind.$(OBJEXT) \
-	test_logind-test_logind.$(OBJEXT)
+#am_test_logind_OBJECTS =  \
+#	../../lib/test_logind-logind.$(OBJEXT) \
+#	test_logind-test_logind.$(OBJEXT)
 test_logind_OBJECTS = $(am_test_logind_OBJECTS)
-test_logind_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-	$(am__DEPENDENCIES_1)
+#test_logind_DEPENDENCIES = $(am__DEPENDENCIES_1) \
+#	$(am__DEPENDENCIES_1)
 test_logind_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_logind_CFLAGS) \
 	$(CFLAGS) $(test_logind_LDFLAGS) $(LDFLAGS) -o $@
 am__test_sprintf_SOURCES_DIST = ../../lib/string/sprintf.c \
 	test_sprintf.c
-am_test_sprintf_OBJECTS = ../../lib/string/test_sprintf-sprintf.$(OBJEXT) \
-	test_sprintf-test_sprintf.$(OBJEXT)
+#am_test_sprintf_OBJECTS = ../../lib/string/test_sprintf-sprintf.$(OBJEXT) \
+#	test_sprintf-test_sprintf.$(OBJEXT)
 test_sprintf_OBJECTS = $(am_test_sprintf_OBJECTS)
-test_sprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_sprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_sprintf_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_sprintf_CFLAGS) \
 	$(CFLAGS) $(test_sprintf_LDFLAGS) $(LDFLAGS) -o $@
 am__test_strncpy_SOURCES_DIST = test_strncpy.c
-am_test_strncpy_OBJECTS =  \
-	test_strncpy-test_strncpy.$(OBJEXT)
+#am_test_strncpy_OBJECTS =  \
+#	test_strncpy-test_strncpy.$(OBJEXT)
 test_strncpy_OBJECTS = $(am_test_strncpy_OBJECTS)
-test_strncpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_strncpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_strncpy_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_strncpy_CFLAGS) \
 	$(CFLAGS) $(test_strncpy_LDFLAGS) $(LDFLAGS) -o $@
 am__test_strtcpy_SOURCES_DIST = ../../lib/string/strtcpy.c \
 	test_strtcpy.c
-am_test_strtcpy_OBJECTS = ../../lib/string/test_strtcpy-strtcpy.$(OBJEXT) \
-	test_strtcpy-test_strtcpy.$(OBJEXT)
+#am_test_strtcpy_OBJECTS = ../../lib/string/test_strtcpy-strtcpy.$(OBJEXT) \
+#	test_strtcpy-test_strtcpy.$(OBJEXT)
 test_strtcpy_OBJECTS = $(am_test_strtcpy_OBJECTS)
-test_strtcpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_strtcpy_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_strtcpy_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_strtcpy_CFLAGS) \
 	$(CFLAGS) $(test_strtcpy_LDFLAGS) $(LDFLAGS) -o $@
 am__test_xasprintf_SOURCES_DIST = ../../lib/string/sprintf.c \
 	test_xasprintf.c
-am_test_xasprintf_OBJECTS = ../../lib/string/test_xasprintf-sprintf.$(OBJEXT) \
-	test_xasprintf-test_xasprintf.$(OBJEXT)
+#am_test_xasprintf_OBJECTS = ../../lib/string/test_xasprintf-sprintf.$(OBJEXT) \
+#	test_xasprintf-test_xasprintf.$(OBJEXT)
 test_xasprintf_OBJECTS = $(am_test_xasprintf_OBJECTS)
-test_xasprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_xasprintf_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_xasprintf_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
 	$(test_xasprintf_CFLAGS) $(CFLAGS) $(test_xasprintf_LDFLAGS) \
 	$(LDFLAGS) -o $@
 am__test_zustr2stp_SOURCES_DIST = test_zustr2stp.c
-am_test_zustr2stp_OBJECTS =  \
-	test_zustr2stp-test_zustr2stp.$(OBJEXT)
+#am_test_zustr2stp_OBJECTS =  \
+#	test_zustr2stp-test_zustr2stp.$(OBJEXT)
 test_zustr2stp_OBJECTS = $(am_test_zustr2stp_OBJECTS)
-test_zustr2stp_DEPENDENCIES = $(am__DEPENDENCIES_1)
+#test_zustr2stp_DEPENDENCIES = $(am__DEPENDENCIES_1)
 test_zustr2stp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
 	$(test_zustr2stp_CFLAGS) $(CFLAGS) $(test_zustr2stp_LDFLAGS) \
@@ -299,5 +299,3 @@
   $(am__tty_colors_dummy); \
   if test "X$(AM_COLOR_TESTS)" = Xno; then \
     am__color_tests=no; \
-  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
-    am__color_tests=yes; \
