=== debian/changelog ===
shadow (1:4.16.0-7ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2089923):
    - d/p/* : Enable private home directories by default
    - debian/{source_shadow.py,login.defs.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
    - d/t/smoke: Extend for extrausers support
    - Add some cursory tests for the extrausers features
    - d/p/lp2063200: fix useradd group validation with extrausers (LP 2063200)

  * New Changes:
    - d/tests: make 'upstream' tests work with current sources layout

  * Drop Changes:
    - d/p/1015_add_zsys_support.patch: zsys to handle home dir if available
      Reason: buggy and unmaintained zsys integration (LP: #2049529)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 02 Dec 2024 12:39:54 +0100

shadow (1:4.16.0-7) unstable; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * d/patches: fix 'upstream' test suite

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:51:40 +0100

shadow (1:4.16.0-6) unstable; urgency=medium

  * Add NEWS entry about faillog (Closes: #1074320)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 13:29:54 +0100

shadow (1:4.16.0-5) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Always build with btrfs support on linux-any (Closes: #856557)
  * debputy.manifest: merge path-metadata entries
  * login.defs: remove info about write(1)
    Which is not part of Debian trixie. (Closes: #1087519)

  [ Pino Toscano ]
  * Include <utmpx.h>, fixing the build on GNU/Hurd

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 15 Nov 2024 20:30:32 +0100

shadow (1:4.16.0-4) unstable; urgency=medium

  * Drop Debian-only cppw, cpgr tools (Closes: #750752)
  * Stop patching login, not installed anymore
  * Define LOGIN_NAME_MAX on HURD
  * Remove libsystemd-dev Build-Depends.
    Only necessary for login(1).
  * Stop building programs we do not install

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Aug 2024 00:29:18 +0200

shadow (1:4.16.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Fix FTBFS on hurd.
    DEB_HOST_ARCH_OS was unset.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 17:21:27 +0200

shadow (1:4.16.0-2) experimental; urgency=medium

  * passwd: switch Depends from login to login.defs
    login will again be installed on fewer systems, but existing installs
    will retain it (it is Protected: yes).
  * Drop login package, to allow takeover by util-linux.
    Move shadow.mo to Package: passwd, have passwd Replaces: older login.
  * login.defs: ship manpage
  * Re-add workarounds for tests in tests/tests directory.
    4.15.3 fixed this, but 4.16.0 happened earlier.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 05 Aug 2024 02:36:29 +0200

shadow (1:4.16.0-1) experimental; urgency=medium

  * New upstream version 4.16.0
    * Rebase patches
  * Split /etc/login.defs into its own binary package (Closes: #1074394)
  * Rename libsubid4 to libsubid5 (soname bump)
  * d/watch: add versionmangle for -rc

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 Aug 2024 17:35:29 +0200
