=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  libpam0g-dev,
  libselinux1-dev [linux-any],
  libsemanage-dev [linux-any],
- libsystemd-dev [linux-any],
  libxml2-utils <!nodoc>,
  pkgconf,
  quilt,
@@ -42,33 +41,25 @@
 Depends:
  base-passwd (>= 3.6.4),
  libpam-modules,
- login
+ login.defs
 Recommends:
  sensible-utils
+Replaces:
+ login (<< 1:4.16.0-2~)
 Description: change and administer password and group data
  This package includes passwd, chsh, chfn, and many other programs to
  maintain password and group data.
  .
  Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian
 
-Package: login
-Architecture: any
+Package: login.defs
+Architecture: all
 Multi-Arch: foreign
-Protected: yes
-Depends:
- libpam-modules,
- libpam-runtime
-Breaks:
- hurd (<< 20140206~) [hurd-any]
-Conflicts:
- python-4suite (<< 0.99cvs20060405-1)
 Replaces:
- hurd (<< 20140206~) [hurd-any]
-Description: system login tools
- This package provides support for console-based logins and for
- changing effective user or group IDs, including:
-  * login, the program that invokes a user shell on a virtual terminal;
-  * nologin, a dummy shell for disabled user accounts;
+ login (<< 1:4.16.0-2~)
+Description: system user management configuration
+ This package provides the login.defs configuration file,
+ used by otherwise unrelated tools managing system users.
 
 Package: uidmap
 Architecture: any
@@ -78,7 +69,7 @@
  These programs help unprivileged users to create uid and gid mappings in
  user namespaces.
 
-Package: libsubid4
+Package: libsubid5
 Section: libs
 Priority: optional
 Architecture: any
@@ -93,10 +84,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsubid4 (= ${binary:Version})
+ libsubid5 (= ${binary:Version})
 Description: subordinate id handling library -- shared library
  The library provides an interface for querying, granding and ungranting
  subordinate user and group ids.
  .
  This package contains the C header files that are
- needed for applications to use the libsubid4 library.
+ needed for applications to use the libsubid library.
