=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Enable PIE, BINDNOW, and possible future flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
@@ -25,8 +26,8 @@
 
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-logind
 DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
+DEB_CONFIGURE_EXTRA_FLAGS += --with-btrfs
 endif
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
@@ -44,26 +45,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
-override_dh_install-arch:
-ifneq ($(DEB_HOST_ARCH_OS),linux)
-	sed -i 's/session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
-endif
-	dh_install -a
-ifeq ($(DEB_HOST_ARCH_OS),hurd)
-	# /bin/login is provided by the hurd package.
-	rm -f debian/login/usr/bin/login
-endif
-
 override_dh_installpam:
 	# Distribute the pam.d files; unless for the commands with disabled PAM
 	# support
-	dh_installpam -p login
 	dh_installpam -p passwd --name=passwd
 	dh_installpam -p passwd --name=chfn
 	dh_installpam -p passwd --name=chsh
 	dh_installpam -p passwd --name=chpasswd
 	dh_installpam -p passwd --name=newusers
 
-override_dh_auto_clean:
-	sed -i 's/# Linux only # //' debian/login.pam
-	dh_auto_clean
