=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root, superficial

Tests: upstream
Depends:
 expect,
 procps,
 @,
 @builddeps@
Restrictions: needs-root, build-needed, breaks-testbed, allow-stderr, isolation-machine

Tests: numeric-username
Restrictions: needs-root, allow-stderr

Tests: extrausers-etc-readonly
Restrictions: needs-root, allow-stderr, breaks-testbed
Depends: passwd, libnss-extrausers, augeas-tools
