## shadow 4.17.2

=== debian/changelog ===
shadow (1:4.17.2-5) unstable; urgency=medium

  * Warn about future --badname removal.
    Upstream PR 1158 plans to remove this flag, probably in the forky
    timeframe. Warn users now.
  * Import upstream patch to fix chfn (#1096187)
  * Add regression test for #1096187
  * Add regression test for #1095430
  * Remove "shadowconfig off"
    If needed please run pwunconv, grpunconv manually, but please understand
    you are on your own.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 19:54:09 +0100

shadow (1:4.17.2-4) unstable; urgency=medium

  * Revert upstreams chfn.c strsep change (Closes: #1096187)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 17 Feb 2025 12:28:56 +0100

shadow (1:4.17.2-3) unstable; urgency=medium

  * Revert upstreams strtoday calculation "fix" (Closes: #1095430)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Feb 2025 20:24:35 +0100

shadow (1:4.17.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Apply upstream revert of "Use local time for human-readable dates"
    (Closes: #1095430)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 15 Feb 2025 17:21:17 +0100

shadow (1:4.17.2-1) experimental; urgency=medium

  * New upstream version 4.17.2
  * Apply upstream patch from Marc Haber to document E_BAD_NAME
  * Refresh patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Feb 2025 18:14:51 +0100

shadow (1:4.17.1-2) experimental; urgency=medium

  * Rewrite shadowconfig(8) manpage.
    Thanks to Alejandro Colomar <alx@kernel.org>
  * Remove unnecessary Build-Depends: quilt.
    Thanks to Bastian Germann (Closes: #1092461)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 08 Jan 2025 12:40:10 +0100

shadow (1:4.17.1-1) experimental; urgency=medium

  * New upstream version 4.17.1

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 04 Jan 2025 12:41:51 +0100

shadow (1:4.17.0-1) experimental; urgency=medium

  * New upstream version 4.17.0
  * Refresh patches.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 28 Dec 2024 13:14:16 +0100

shadow (1:4.17.0~rc1-2) experimental; urgency=medium

  * Remove Debian patch to relax username checks.
    Per discussion on d-devel, with upstream, and with the
    adduser maintainer.
    Thanks: Marc Haber

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 22 Dec 2024 20:15:16 +0100

shadow (1:4.17.0~rc1-1) experimental; urgency=medium

  * New upstream version 4.17.0~rc1
  * Add upstream patch for new return-code for bad usernames
  * Refresh patches
  * d/copyright: update
  * Forbid purely numeric user/group names, and "." and ".."

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Dec 2024 19:55:32 +0100
