## shadow 4.17.3

=== debian/changelog ===
shadow (1:4.17.3-3.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 01 Apr 2025 22:40:22 +0300

shadow (1:4.17.3-3) unstable; urgency=medium

  * Accept /usr/sbin/nologin as an alternate to /sbin/nologin.
    Thanks to Marc Haber

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 28 Mar 2025 12:13:03 +0100

shadow (1:4.17.3-2) unstable; urgency=medium

  * Do not warn about useradd --system with Debian-globally allocated uids
    (Closes: #1100563)
  * Refresh patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 16 Mar 2025 13:39:58 +0100

shadow (1:4.17.3-1) unstable; urgency=medium

  * New upstream version 4.17.3
  * Refresh patches and include upstream patch for getdate.
    Include https://github.com/shadow-maint/shadow/pull/1214 to fix
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1095430 in the
    way upstream intends to fix it.
  * Explicitly pass {s,}bindir to configure.
    Avoids upstream hacks in configure.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Feb 2025 23:09:52 +0100

shadow (1:4.17.2-6) unstable; urgency=medium

  * d/rules: ensure lib/getdate.c gets rebuilt
  * configure: always pick /usr/bin/passwd.
    Thanks to Jochen Sprickerhof <jspricke@debian.org>

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Feb 2025 12:16:49 +0100
