=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: shadow
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
  Chris Hofstaedtler <zeha@debian.org>
@@ -26,8 +25,6 @@
  libsemanage-dev [linux-any],
  libxml2-utils <!nodoc>,
  pkgconf,
- quilt,
- systemd-dev [linux-any],
  xsltproc <!nodoc>
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
