=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 # Adds extra options when calling the configure script:
 DEB_CONFIGURE_EXTRA_FLAGS := \
+	--bindir=/usr/bin \
+	--sbindir=/usr/sbin \
 	--mandir=/usr/share/man \
 	--with-libpam \
 	--with-yescrypt \
@@ -42,6 +44,10 @@
 %:
 	dh $@
 
+execute_after_dh_auto_clean:
+	# rebuild lib/getdate.c
+	rm -f lib/getdate.c
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
@@ -54,3 +60,5 @@
 	dh_installpam -p passwd --name=chpasswd
 	dh_installpam -p passwd --name=newusers
 
+override_dh_missing:
+	dh_missing --list-missing
